Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.pkcs
Interface PKCSObjectIdentifiers

All Known Implementing Classes:
  ContentInfo, PBES2Algorithms, PBES2Parameters, Pfx, PKCS5Test, SignedData, TBSCertificateStructure, X509CertificateStructure

    public interface PKCSObjectIdentifiers

Field Summary
`static java.lang.String` | `bagtypes`
`static DERObjectIdentifier` | `canNotDecryptAny`
`static DERObjectIdentifier` | `certBag`
`static DERObjectIdentifier` | `crlBag`
`static DERObjectIdentifier` | `data`
`static DERObjectIdentifier` | `des_EDE3_CBC`
`static DERObjectIdentifier` | `dhKeyAgreement`
`static java.lang.String` | `digestAlgorithm`
`static DERObjectIdentifier` | `digestedData`
`static DERObjectIdentifier` | `encryptedData`
`static java.lang.String` | `encryptionAlgorithm`
`static DERObjectIdentifier` | `envelopedData`
`static java.lang.String` | `id_aa`
`static DERObjectIdentifier` | `id_aa_commitmentType`
`static DERObjectIdentifier` | `id_aa_contentIdentifier`
`static DERObjectIdentifier` | `id_aa_encrypKeyPref`
`static DERObjectIdentifier` | `id_aa_otherSigCert`
`static DERObjectIdentifier` | `id_aa_signatureTimeStampToken`
`static DERObjectIdentifier` | `id_aa_signerLocation`
`static DERObjectIdentifier` | `id_aa_signingCertificate`
`static DERObjectIdentifier` | `id_aa_sigPolicyId`
`static DERObjectIdentifier` | `id_alg_PWRI_KEK`
`static java.lang.String` | `id_ct`
`static DERObjectIdentifier` | `id_ct_compressedData`
`static DERObjectIdentifier` | `id_ct_TSTInfo`
`static java.lang.String` | `id_cti`
`static DERObjectIdentifier` | `id_cti_ets_proofOfApproval`
`static DERObjectIdentifier` | `id_cti_ets_proofOfCreation`
`static DERObjectIdentifier` | `id_cti_ets_proofOfDelivery`
`static DERObjectIdentifier` | `id_cti_ets_proofOfOrigin`
`static DERObjectIdentifier` | `id_cti_ets_proofOfReceipt`
`static DERObjectIdentifier` | `id_cti_ets_proofOfSender`
`static DERObjectIdentifier` | `id_hmacWithSHA1`
`static DERObjectIdentifier` | `id_mgf1`
`static DERObjectIdentifier` | `id_PBES2`
`static DERObjectIdentifier` | `id_PBKDF2`
`static DERObjectIdentifier` | `id_pSpecified`
`static DERObjectIdentifier` | `id_RSAES_OAEP`
`static DERObjectIdentifier` | `id_RSASSA_PSS`
`static DERObjectIdentifier` | `keyBag`
`static DERObjectIdentifier` | `md2`
`static DERObjectIdentifier` | `md2WithRSAEncryption`
`static DERObjectIdentifier` | `md4`
`static DERObjectIdentifier` | `md4WithRSAEncryption`
`static DERObjectIdentifier` | `md5`
`static DERObjectIdentifier` | `md5WithRSAEncryption`
`static DERObjectIdentifier` | `pbeWithMD2AndDES_CBC`
`static DERObjectIdentifier` | `pbeWithMD2AndRC2_CBC`
`static DERObjectIdentifier` | `pbeWithMD5AndDES_CBC`
`static DERObjectIdentifier` | `pbeWithMD5AndRC2_CBC`
`static DERObjectIdentifier` | `pbeWithSHA1AndDES_CBC`
`static DERObjectIdentifier` | `pbeWithSHA1AndRC2_CBC`
`static DERObjectIdentifier` | `pbeWithSHAAnd128BitRC2_CBC`
`static DERObjectIdentifier` | `pbeWithSHAAnd128BitRC4`
`static DERObjectIdentifier` | `pbeWithSHAAnd2_KeyTripleDES_CBC`
`static DERObjectIdentifier` | `pbeWithSHAAnd3_KeyTripleDES_CBC`
`static DERObjectIdentifier` | `pbewithSHAAnd40BitRC2_CBC`
`static DERObjectIdentifier` | `pbeWithSHAAnd40BitRC4`
`static java.lang.String` | `pkcs_1`
`static java.lang.String` | `pkcs_12`
`static java.lang.String` | `pkcs_12PbeIds`
`static java.lang.String` | `pkcs_3`
`static java.lang.String` | `pkcs_5`
`static java.lang.String` | `pkcs_7`
`static java.lang.String` | `pkcs_9`
`static DERObjectIdentifier` | `pkcs_9_at_challengePassword`
`static DERObjectIdentifier` | `pkcs_9_at_contentType`
`static DERObjectIdentifier` | `pkcs_9_at_counterSignature`
`static DERObjectIdentifier` | `pkcs_9_at_emailAddress`
`static DERObjectIdentifier` | `pkcs_9_at_extendedCertificateAttributes`
`static DERObjectIdentifier` | `pkcs_9_at_extensionRequest`
`static DERObjectIdentifier` | `pkcs_9_at_friendlyName`
`static DERObjectIdentifier` | `pkcs_9_at_localKeyId`
`static DERObjectIdentifier` | `pkcs_9_at_messageDigest`
`static DERObjectIdentifier` | `pkcs_9_at_signingDescription`
`static DERObjectIdentifier` | `pkcs_9_at_signingTime`
`static DERObjectIdentifier` | `pkcs_9_at_smimeCapabilities`
`static DERObjectIdentifier` | `pkcs_9_at_unstructuredAddress`
`static DERObjectIdentifier` | `pkcs_9_at_unstructuredName`
`static DERObjectIdentifier` | `pkcs8ShroudedKeyBag`
`static DERObjectIdentifier` | `preferSignedData`
`static DERObjectIdentifier` | `RC2_CBC`
`static DERObjectIdentifier` | `rsaEncryption`
`static DERObjectIdentifier` | `safeContentsBag`
`static DERObjectIdentifier` | `secretBag`
`static DERObjectIdentifier` | `sha1WithRSAEncryption`
`static DERObjectIdentifier` | `sha224WithRSAEncryption`
`static DERObjectIdentifier` | `sha256WithRSAEncryption`
`static DERObjectIdentifier` | `sha384WithRSAEncryption`
`static DERObjectIdentifier` | `sha512WithRSAEncryption`
`static DERObjectIdentifier` | `signedAndEnvelopedData`
`static DERObjectIdentifier` | `signedData`
`static DERObjectIdentifier` | `sMIMECapabilitiesVersions`
`static DERObjectIdentifier` | `srsaOAEPEncryptionSET`
`static DERObjectIdentifier` | `x509certType`

Field Detail

### pkcs_1

    static final java.lang.String pkcs_1

See Also:
  Constant Field Values

### rsaEncryption

    static final DERObjectIdentifier rsaEncryption

### md2WithRSAEncryption

    static final DERObjectIdentifier md2WithRSAEncryption

### md4WithRSAEncryption

    static final DERObjectIdentifier md4WithRSAEncryption

### md5WithRSAEncryption

    static final DERObjectIdentifier md5WithRSAEncryption

### sha1WithRSAEncryption

    static final DERObjectIdentifier sha1WithRSAEncryption

### srsaOAEPEncryptionSET

    static final DERObjectIdentifier srsaOAEPEncryptionSET

### id_RSAES_OAEP

    static final DERObjectIdentifier id_RSAES_OAEP

### id_mgf1

    static final DERObjectIdentifier id_mgf1

### id_pSpecified

    static final DERObjectIdentifier id_pSpecified

### id_RSASSA_PSS

    static final DERObjectIdentifier id_RSASSA_PSS

### sha256WithRSAEncryption

    static final DERObjectIdentifier sha256WithRSAEncryption

### sha384WithRSAEncryption

    static final DERObjectIdentifier sha384WithRSAEncryption

### sha512WithRSAEncryption

    static final DERObjectIdentifier sha512WithRSAEncryption

### sha224WithRSAEncryption

    static final DERObjectIdentifier sha224WithRSAEncryption

### pkcs_3

    static final java.lang.String pkcs_3

See Also:
  Constant Field Values

### dhKeyAgreement

    static final DERObjectIdentifier dhKeyAgreement

### pkcs_5

    static final java.lang.String pkcs_5

See Also:
  Constant Field Values

### pbeWithMD2AndDES_CBC

    static final DERObjectIdentifier pbeWithMD2AndDES_CBC

### pbeWithMD2AndRC2_CBC

    static final DERObjectIdentifier pbeWithMD2AndRC2_CBC

### pbeWithMD5AndDES_CBC

    static final DERObjectIdentifier pbeWithMD5AndDES_CBC

### pbeWithMD5AndRC2_CBC

    static final DERObjectIdentifier pbeWithMD5AndRC2_CBC

### pbeWithSHA1AndDES_CBC

    static final DERObjectIdentifier pbeWithSHA1AndDES_CBC

### pbeWithSHA1AndRC2_CBC

    static final DERObjectIdentifier pbeWithSHA1AndRC2_CBC

### id_PBES2

    static final DERObjectIdentifier id_PBES2

### id_PBKDF2

    static final DERObjectIdentifier id_PBKDF2

### encryptionAlgorithm

    static final java.lang.String encryptionAlgorithm

See Also:
  Constant Field Values

### des_EDE3_CBC

    static final DERObjectIdentifier des_EDE3_CBC

### RC2_CBC

    static final DERObjectIdentifier RC2_CBC

### digestAlgorithm

    static final java.lang.String digestAlgorithm

See Also:
  Constant Field Values

### md2

    static final DERObjectIdentifier md2

### md4

    static final DERObjectIdentifier md4

### md5

    static final DERObjectIdentifier md5

### id_hmacWithSHA1

    static final DERObjectIdentifier id_hmacWithSHA1

### pkcs_7

    static final java.lang.String pkcs_7

See Also:
  Constant Field Values

### data

    static final DERObjectIdentifier data

### signedData

    static final DERObjectIdentifier signedData

### envelopedData

    static final DERObjectIdentifier envelopedData

### signedAndEnvelopedData

    static final DERObjectIdentifier signedAndEnvelopedData

### digestedData

    static final DERObjectIdentifier digestedData

### encryptedData

    static final DERObjectIdentifier encryptedData

### pkcs_9

    static final java.lang.String pkcs_9

See Also:
  Constant Field Values

### pkcs_9_at_emailAddress

    static final DERObjectIdentifier pkcs_9_at_emailAddress

### pkcs_9_at_unstructuredName

    static final DERObjectIdentifier pkcs_9_at_unstructuredName

### pkcs_9_at_contentType

    static final DERObjectIdentifier pkcs_9_at_contentType

### pkcs_9_at_messageDigest

    static final DERObjectIdentifier pkcs_9_at_messageDigest

### pkcs_9_at_signingTime

    static final DERObjectIdentifier pkcs_9_at_signingTime

### pkcs_9_at_counterSignature

    static final DERObjectIdentifier pkcs_9_at_counterSignature

### pkcs_9_at_challengePassword

    static final DERObjectIdentifier pkcs_9_at_challengePassword

### pkcs_9_at_unstructuredAddress

    static final DERObjectIdentifier pkcs_9_at_unstructuredAddress

### pkcs_9_at_extendedCertificateAttributes

    static final DERObjectIdentifier pkcs_9_at_extendedCertificateAttributes

### pkcs_9_at_signingDescription

    static final DERObjectIdentifier pkcs_9_at_signingDescription

### pkcs_9_at_extensionRequest

    static final DERObjectIdentifier pkcs_9_at_extensionRequest

### pkcs_9_at_smimeCapabilities

    static final DERObjectIdentifier pkcs_9_at_smimeCapabilities

### pkcs_9_at_friendlyName

    static final DERObjectIdentifier pkcs_9_at_friendlyName

### pkcs_9_at_localKeyId

    static final DERObjectIdentifier pkcs_9_at_localKeyId

### x509certType

    static final DERObjectIdentifier x509certType

### id_alg_PWRI_KEK

    static final DERObjectIdentifier id_alg_PWRI_KEK

### preferSignedData

    static final DERObjectIdentifier preferSignedData

### canNotDecryptAny

    static final DERObjectIdentifier canNotDecryptAny

### sMIMECapabilitiesVersions

    static final DERObjectIdentifier sMIMECapabilitiesVersions

### id_ct

    static final java.lang.String id_ct

See Also:
  Constant Field Values

### id_ct_TSTInfo

    static final DERObjectIdentifier id_ct_TSTInfo

### id_ct_compressedData

    static final DERObjectIdentifier id_ct_compressedData

### id_cti

    static final java.lang.String id_cti

See Also:
  Constant Field Values

### id_cti_ets_proofOfOrigin

    static final DERObjectIdentifier id_cti_ets_proofOfOrigin

### id_cti_ets_proofOfReceipt

    static final DERObjectIdentifier id_cti_ets_proofOfReceipt

### id_cti_ets_proofOfDelivery

    static final DERObjectIdentifier id_cti_ets_proofOfDelivery

### id_cti_ets_proofOfSender

    static final DERObjectIdentifier id_cti_ets_proofOfSender

### id_cti_ets_proofOfApproval

    static final DERObjectIdentifier id_cti_ets_proofOfApproval

### id_cti_ets_proofOfCreation

    static final DERObjectIdentifier id_cti_ets_proofOfCreation

### id_aa

    static final java.lang.String id_aa

See Also:
  Constant Field Values

### id_aa_encrypKeyPref

    static final DERObjectIdentifier id_aa_encrypKeyPref

### id_aa_signingCertificate

    static final DERObjectIdentifier id_aa_signingCertificate

### id_aa_contentIdentifier

    static final DERObjectIdentifier id_aa_contentIdentifier

### id_aa_signatureTimeStampToken

    static final DERObjectIdentifier id_aa_signatureTimeStampToken

### id_aa_sigPolicyId

    static final DERObjectIdentifier id_aa_sigPolicyId

### id_aa_commitmentType

    static final DERObjectIdentifier id_aa_commitmentType

### id_aa_signerLocation

    static final DERObjectIdentifier id_aa_signerLocation

### id_aa_otherSigCert

    static final DERObjectIdentifier id_aa_otherSigCert

### pkcs_12

    static final java.lang.String pkcs_12

See Also:
  Constant Field Values

### bagtypes

    static final java.lang.String bagtypes

See Also:
  Constant Field Values

### keyBag

    static final DERObjectIdentifier keyBag

### pkcs8ShroudedKeyBag

    static final DERObjectIdentifier pkcs8ShroudedKeyBag

### certBag

    static final DERObjectIdentifier certBag

### crlBag

    static final DERObjectIdentifier crlBag

### secretBag

    static final DERObjectIdentifier secretBag

### safeContentsBag

    static final DERObjectIdentifier safeContentsBag

### pkcs_12PbeIds

    static final java.lang.String pkcs_12PbeIds

See Also:
  Constant Field Values

### pbeWithSHAAnd128BitRC4

    static final DERObjectIdentifier pbeWithSHAAnd128BitRC4

### pbeWithSHAAnd40BitRC4

    static final DERObjectIdentifier pbeWithSHAAnd40BitRC4

### pbeWithSHAAnd3_KeyTripleDES_CBC

    static final DERObjectIdentifier pbeWithSHAAnd3_KeyTripleDES_CBC

### pbeWithSHAAnd2_KeyTripleDES_CBC

    static final DERObjectIdentifier pbeWithSHAAnd2_KeyTripleDES_CBC

### pbeWithSHAAnd128BitRC2_CBC

    static final DERObjectIdentifier pbeWithSHAAnd128BitRC2_CBC

### pbewithSHAAnd40BitRC2_CBC

    static final DERObjectIdentifier pbewithSHAAnd40BitRC2_CBC

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD